docker pull loadimpact/k6


//${__VU} const email = `user+${__VU}@mail.com`;
// console.log(`VU: ${__VU}  -  ITER: ${__ITER}`);


docker run -i loadimpact/k6 run - <k6.io/sign_in.js

docker run -i loadimpact/k6 run --duration 30s - <k6.io/sign_in.js

docker run -i loadimpact/k6 run --vus 10 --duration 30s - <k6.io/sign_in.js

--out influxdb=http://192.168.1.20:8086/k6 - <k6.io/sign_in.js /// it will create db auto

The number of requests will be received on mpay will be iterations + vus count


// forward service localy
sudo service influxdb stop
k port-forward svc/jmeter-loadtest-influxdb -n jmeter 8086:8086 --address 0.0.0.0

//check container override k6 entry
d run -it --rm --user root --entrypoint sh loadimpact/k6
//install telnet
apk add busybox-extras